%{!?drupal6: %global drupal6 %{_datadir}/drupal6}
%{!?drupal6_modules: %global drupal6_modules %{drupal6}/sites/all/modules}

%global module views_bulk_operations

Name:      drupal6-%{module}
Version:   1.17
Release:   1%{?dist}
Summary:   Augments Views by allowing bulk operations to be executed

Group:     Applications/Publishing
License:   GPLv2+
URL:       http://drupal.org/project/%{module}
Source0:   http://ftp.drupal.org/files/projects/%{module}-6.x-%{version}.tar.gz

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  drupal6
#Requires:  drupal6(views)
Requires:  drupal6-views
# phpcompatinfo (computed from version 1.17)
Requires:  php-date
Requires:  php-pcre
#Requires:  php-zip

Provides:  drupal6(%{module})           = %{version}
Provides:  drupal6(actions_permissions) = %{version}

%description
This module augments Views by allowing bulk operations to be executed on the
displayed rows. It does so by showing a checkbox in front of each node, and
adding a select box containing operations that can be applied. Drupal Core or
Rules actions can be used.

This package provides the following Drupal modules:
* %{module}
* actions_permissions


%prep
%setup -qn %{module}


%build
# Empty build section, nothing required


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{drupal6_modules}/%{module}
cp -pr * %{buildroot}%{drupal6_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{?_licensedir:%license LICENSE.txt}
%{drupal6_modules}/%{module}


%changelog
* Mon Aug 17 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.17-1
- Updated to 1.17 (RHBZ #1250276)
- Spec cleanup

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.16-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 16 2013 Peter Borsa <peter.borsa@gmail.com> - 1.16-1
- Update to upstream 1.16 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/1856704

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jun 25 2013 Peter Borsa <peter.borsa@gmail.com> - 1.15-1
- Update to upstream 1.15 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2025049

* Wed Jun 12 2013 Peter Borsa <peter.borsa@gmail.com> - 1.14-1
- Update to upstream 1.14 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/1925522

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep 22 2011 Sven Lankes - 1.11-1
- update to latest upstream release
- fixes DRUPAL-SA-CONTRIB-2011-042
- translations have been removed upstream

* Sun Feb 27 2011 Sven Lankes - 1.10-7
- Fix maintainer error - I worked on the wrong branch

* Sun Feb 27 2011 Sven Lankes - 1.10-6.2
- Also adjust drupaldir

* Sun Feb 27 2011 Sven Lankes - 1.10-6.1
- Fix requires for F14 where drupal6 ist still called drupal

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 28 2011 Peter Borsa <peter.borsa@gmail.com> - 1.10-5
- Lang macro is corrected.

* Fri Jan 28 2011 Peter Borsa <peter.borsa@gmail.com> - 1.10-4
- Version macro is added to Source0 line.
- Lang macro is added.

* Wed Jan 26 2011 Peter Borsa <peter.borsa@gmail.com> - 1.10-3
- Corrected alignment.
- Chmod and cp lines are copied under prep section.

* Tue Jan 19 2010 Peter Borsa <peter.borsa@gmail.com> - 1.10-2
- Fixed License field.

* Wed Jan 13 2010 Peter Borsa <peter.borsa@gmail.com> - 1.10-1
- Initial packaging.
